## nvidia-graphics-drivers-tesla-450 450.51.06

=== debian/changelog ===
nvidia-graphics-drivers-tesla-450 (450.51.06-2~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 10 Sep 2020 13:19:22 -0700

nvidia-graphics-drivers-tesla-450 (450.51.06-2) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Test that the patches can be applied to the module source (450.66-1).
  * nvidia-kernel-dkms: Ship with unapplied patches and apply the patches
    while building kernel modules (450.66-1).
  * Simplify generating the -source and -dkms packages (450.66-1).
  * Backport nv_vmalloc and nv_mmap_* (mmap_{sem=>lock}) changes from 450.57
    to fix kernel module build for Linux 5.8.

  [ Vincent Cheng ]
  * Remove myself from Uploaders.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 01 Sep 2020 00:39:37 +0200

nvidia-graphics-drivers-tesla-450 (450.51.06-1) unstable; urgency=medium

  * New upstream Tesla release 450.51.06 (2020-07-28).

  [ Andreas Beckmann ]
  * Allow alternative libnvidia-{tesla,legacy}-*-cfg1 packages to substitute
    libnvidia-cfg1 in third-party packages (450.57-2).
    - Add Provides: libnvidia-cfg.so.1 (= ${nvidia:Version}).
    - Generate alternative versioned dependency on libnvidia-cfg.so.1 through
      the symbols file.
  * There is no libnvidia-compiler on arm64 (450.57-3).
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 18 Aug 2020 23:20:53 +0200

nvidia-graphics-drivers-tesla-450 (450.51.05-1) unstable; urgency=medium

  * New upstream Tesla release 450.51.05 (2020-07-07).

  [ Andreas Beckmann ]
  * Fork as new source package, rename everything to include '-tesla-450'.
  * Do not build 'unversioned' packages from this source.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 17 Jul 2020 17:50:32 +0200

nvidia-graphics-drivers (450.51-2) experimental; urgency=medium

  * Prepare infrastructure for packaging Tesla 450 driver releases (available
    for amd64 (including some i386 libs), arm64 and ppc64el).
  * nvidia-detect: Add support for Tesla 450 drivers.
  * Merge changes from 440.100-2.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 17 Jul 2020 16:34:04 +0200

nvidia-graphics-drivers (450.51-1) experimental; urgency=medium

  * New upstream beta 450.51 (2020-06-24).
    - Added support for Vulkan direct-to-display on DisplayPort displays which
      are connected via DisplayPort Multi-Stream Transport (DP-MST).
    - Added a new documentation file, supported-gpus.json, which exposes a
      machine-readable list of supported GPUs and features.
    - Added an implementation of glNamedBufferPageCommitmentARB, which was
      missing from the NVIDIA driver's support for the GL_ARB_sparse_buffer
      extension.
    - Fixed a bug that could cause a KDE Plasma session to crash when running
      under Wayland.
    - Fixed a bug that could cause some Swap Group configurations to present
      at half of the display refresh rate.
    - Added a new Connector-N display connector name alias type, with a unique
      alias assigned to each physical display connector on a GPU. See the
      README for more information.
    - Fixed a bug that prevented X11 EGL displays from being reinitialized.
    - The 450 driver series is the last that supports NvFBC's
      NVFBC_CAPTURE_TO_HW_ENCODER capture interface, which has been deprecated
      since NVIDIA Capture SDK 6.0 released in 2017. Future NVIDIA drivers
      after the 450 series will return NVFBC_ERR_UNSUPPORTED if that capture
      interface is requested.
      The recommended way to encode captured frames with NVENC is by using the
      NVIDIA Video Codec SDK.
      See: https://developer.nvidia.com/nvidia-video-codec-sdk
    - Implemented support for NVIDIA NGX. A new library, libnvidia-ngx.so, has
      been added to support the new functionality. This new library is needed by
      applications which link against any of the following SDKs:
      NVIDIA DLSS SDK, NVIDIA NGX SDK.
    - Fixed a bug which caused Vulkan applications to leak file descriptors
      when destroying Vulkan instances.
    - Added a fallback presentation path for PRIME Render Offload
      configurations where the DRI3 and/or Present extension are unavailable.
    - Fixed a bug where vkCreateSampler would fail with no borderColor data,
      even though it wasn't needed.
    - Fixed a bug where vkUpdateDescriptorSetWithTemplate would ignore the
      stride parameter for some VkDescriptorType values.
    - Fixed a bug causing the Plasma desktop panel to freeze when
      compositing is disabled (https://bugs.kde.org/show_bug.cgi?id=353983)
    - Added support for the following GPUs: A100-PCIE-40GB, A100-PG509-200,
      A100-SXM4-40GB.
    - Improved Vulkan device enumeration under an X.Org X server environment.
      See the "Known Issues" in the README for more information.
    - Fixed a visual glitch of Vulkan applications when they stop flipping
      due to a window change, such as when alt-tab is used to change
      window focus.
    - Fixed a bug where XGetImage requests would return stale data for
      flipping Vulkan applications. In particular, this fixes screen-scraping
      tools such as VNC and import.
    - Removed libnvidia-fatbinaryloader.so from the driver package.  This
      functionality is now built into other driver libraries.
    - Extended the dynamic runtime power management support in the NVIDIA
      driver to shut off power to video memory under certain conditions.
      See the chapter titled "PCI-Express Runtime D3 (RTD3) Power Management"
      in the README for more information.
    - Added HEVC 10/12 bit "decode only" support to the NVIDIA VDPAU driver.
      Note that VDPAU's presentation pipeline and OpenGL-VDPAU interop
      does not support 10- and 12-bit video surfaces yet. See the "VDPAU
      Support" appendix in the README for supported HEVC decoder profiles.
    - Added support for Image Sharpening for OpenGL and Vulkan applications

