## nvidia-graphics-drivers-tesla-450 450.80.02

=== debian/changelog ===
nvidia-graphics-drivers-tesla-450 (450.80.02-2~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert to dh-compat=12.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 06 Jan 2021 14:03:32 -0800

nvidia-graphics-drivers-tesla-450 (450.80.02-2) unstable; urgency=medium

  * Rebuild as Tesla 450 driver.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 17 Dec 2020 20:39:59 +0100

nvidia-graphics-drivers (450.80.02-2) unstable; urgency=medium

  * libcuda1: Add Provides: libcuda-11.1-1{,-i386}.
  * Use a version=4 watch file.
  * Bump Standards-Version to 4.5.1. No changes needed.
  * Backport drm_prime_pages_to_sg_has_drm_device_arg and get_dma_ops changes
    from 455.45.01 to fix kernel module build for Linux 5.10.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 17 Dec 2020 14:57:31 +0100

nvidia-graphics-drivers-tesla-450 (450.80.02-1) unstable; urgency=medium

  * Rebuild as Tesla 450 driver.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 02 Nov 2020 10:20:10 +0100

nvidia-graphics-drivers (450.80.02-1) unstable; urgency=medium

  * New upstream long lived branch release 450.80.02 (2020-09-30).
    - Added support for the following GPUs: DGX Display, GeForce MX450.
    * Improved compatibility with recent Linux kernels.
      (Closes: #972514, #972582, #972834, #972856, #972901, #973362, #973665)

  [ Andreas Beckmann ]
  * Update nv-readme.ids.
  * Update symbols files.
  * Restrict watch file to releases from the 450.xx long lived branch.
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 29 Oct 2020 01:05:29 +0100

nvidia-graphics-drivers (450.66-1) unstable; urgency=medium

  * New upstream long lived branch release 450.66 (2020-08-18).
    - Added support for the following GPUs: EIZO Quadro MED-XN31LP,
      EIZO Quadro MED-XN50LP, EIZO Quadro MED-XN51LP, EIZO Quadro MED-XN70,
      EIZO Quadro MED-XN71, EIZO Quadro MED-XN72, EIZO Quadro MED-XN90,
      EIZO Quadro MED-XN91, EIZO Quadro MED-XN92, Matrox D-Series D1450,
      Matrox D-Series D1480
    - Fixed triple buffering support of Vulkan X11 swapchains when applications
      are syncing to vblank.

  [ Luca Boccassi ]
  * Update nv-readme.ids.
  * Update symbols files.

  [ Andreas Beckmann ]
  * Test that the patches can be applied to the module source.
  * nvidia-kernel-dkms: Ship with unapplied patches and apply the patches
    while building kernel modules.
  * Simplify generating the -source and -dkms packages.

  [ Vincent Cheng ]
  * Remove myself from Uploaders.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 01 Sep 2020 00:29:22 +0200

nvidia-graphics-drivers (450.57-3) unstable; urgency=medium

  * There is no libnvidia-compiler on arm64.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 16 Aug 2020 14:53:30 +0200

nvidia-graphics-drivers (450.57-2) unstable; urgency=medium

  * Allow alternative libnvidia-{tesla,legacy}-*-cfg1 packages to substitute
    libnvidia-cfg1 in third-party packages.
    - Add Provides: libnvidia-cfg.so.1 (= ${nvidia:Version}).
    - Generate alternative versioned dependency on libnvidia-cfg.so.1 through
      the symbols file.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 09 Aug 2020 23:55:49 +0200

nvidia-graphics-drivers (450.57-1) experimental; urgency=medium

  * New upstream long lived branch release 450.57 (2020-07-09).
    - Fixed a bug that caused a brief orange flash on some platforms when a
      display mode is being set.
  * New upstream release 440 series.
    - Fixed a bug that could cause the X server to crash when using large
      cursor images with PRIME display offloading.
    - Fixed an interaction problem with 5.4 and newer Linux kernels that caused
      a performance regression when allocating system memory.
  * New upstream release 390 series.
    - Fixed a driver installation failure on Linux kernel 5.8 release
      candidates, where the NVIDIA kernel module failed to build with error
      "'struct mm_struct' has no member named 'mmap_sem'".
    - Fixed a driver installation failure on Linux kernel 5.8 release
      candidates, where the NVIDIA kernel module failed to build with error
      "too many arguments to function '__vmalloc'".

 -- Andreas Beckmann <anbe@debian.org>  Wed, 22 Jul 2020 16:33:11 +0200

nvidia-graphics-drivers (440.118.02-2) UNRELEASED; urgency=medium

  * Backport drm_prime_pages_to_sg_has_drm_device_arg and get_dma_ops changes
    from 455.45.01 to fix kernel module build for Linux 5.10.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 16 Dec 2020 02:05:26 +0100

nvidia-graphics-drivers (440.118.02-1) UNRELEASED; urgency=medium

  * New upstream Tesla release 440.118.02 (2020-09-30).
    - Fixed a bug that could cause the X server to crash when using large
      cursor images with PRIME display offloading.
    - Fixed a bug where a Vulkan application under PRIME render
      offload would not always be correctly throttled to vsync despite
      the application's request for VK_PRESENT_MODE_FIFO_KHR. This was
      particularly prevalent on DXVK titles.

  [ Andreas Beckmann ]
  * Update nv-readme.ids.
  * Backport get_user_pages_remote, vga_tryget, smp_read_barrier_depends,
    drm_driver_has_gem_free_object, drm_display_mode_has_vrefresh,
    drm_driver_master_set_has_int_return_type and drm_gem_object_put_unlocked
    changes from 455.23.04 to fix kernel module build for Linux 5.9.
  * Refresh patches.
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 28 Oct 2020 21:46:41 +0100

nvidia-graphics-drivers (440.95.01-2) UNRELEASED; urgency=medium

  * Backport nv_vmalloc and nv_mmap_* (mmap_{sem=>lock}) changes from 450.57
    to fix kernel module build for Linux 5.8.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 01 Sep 2020 00:44:13 +0200

nvidia-graphics-drivers (440.64.00-1) UNRELEASED; urgency=medium

  * New upstream Tesla release 440.64.00 (2020-03-10).

  [ Andreas Beckmann ]
  * Update lintian overrides.


