=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Section: non-free/libs
 Priority: optional
 Maintainer: Steven Pusser <stevep@mxlinux.org>
-Xsbc-Original-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
+Xsbc-Original-Maintainer: Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
 Uploaders: Andreas Beckmann <anbe@debian.org>, Luca Boccassi <bluca@debian.org>
 Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-graphics-drivers
 Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-graphics-drivers.git -b tesla-450/master
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 12),
                dh-exec,
                dkms,
                libglvnd-dev,
@@ -18,7 +18,7 @@
                quilt,
                xz-utils
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://www.nvidia.com
 XS-Autobuild: yes
